Package org.gradle.api.flow

# Interface FlowActionSpec<P extends FlowParameters>

Type Parameters:
  `P` - the parameters defined by the configured `dataflow action` type.

@Incubating public interface FlowActionSpec<P extends FlowParameters>
Allows configuring the parameters for a `dataflow action`.

Since:
  8.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `P`
  `getParameters()`
  Returns the parameters defined by the configured `dataflow action`.
  `void`
  `parameters(Action<? super P> configureAction)`
  Configures the `parameters` for the `flow action`.

- ## Method Details

  - ### getParameters

    P getParameters()
    Returns the parameters defined by the configured `dataflow action`.
    Returns:
      mutable parameters object, never null.
    Since:
      8.1

  - ### parameters

    void parameters(Action<? super P> configureAction)
    Configures the `parameters` for the `flow action`.
    Since:
      8.7